curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environment/{environment_id}/users/{external_user_id}/activations \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"user": {
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"organisationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"dynamicVariables": {}
}
]ListUserActivations returns an array of all activations for a specific user in a given environment.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environment/{environment_id}/users/{external_user_id}/activations \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"user": {
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"organisationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"dynamicVariables": {}
}
]Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
The external ID of the user